package p07_tablice;

import java.util.Arrays;
import java.util.Random;

public class LosowaTablica {

    public static void main(String[] args) {
        // Utwórz tablicę 21 liczb
        int[] t = new int[21];
        
        // Wypełnij tablicę losowymi liczbami z zakresu 0-99
        Random random = new Random();
        for(int i = 0; i < t.length; i++) {
            t[i] = random.nextInt(100);
        }
        
        // Wypisz całą tablicę (Arrays.toString())
        System.out.println(Arrays.toString(t));
        
        // Oblicz sumę tych liczb
        int suma = 0;
        for(int element : t) {
            suma += element;
        }
        System.out.println("Suma: " + suma);
        
        // Posortuj tablicę rosnąco i wypisz ponownie (spróbuj znaleźć odp operację)
        Arrays.sort(t);
        System.out.println(Arrays.toString(t));
        System.out.println();
        
        // Wypisz liczby z tej tablicy, ale w takiej kolejności:
        // element nr 0, ostatni element, element nr 1, przedostatni element, ...
        // aż do wypisania środkowego elementu (tylko jeden raz).
        
        // sposób 1: za pomocą jednej zmiennej i odejmowania
        for(int i = 0; i < t.length / 2; i++) {
            System.out.print(t[i] + " ");
            System.out.print(t[t.length - i - 1] + " ");
        }
        if(t.length % 2 == 1) {
            System.out.print(t[t.length / 2]);
        }
        System.out.println();

        // sposób 2: za pomocą dwóch zmiennych
        for(int i = 0, j = t.length-1; i < j; i++, j--) {
            System.out.print(t[i] + " ");
            System.out.print(t[j] + " ");
        }
        if(t.length % 2 == 1) {
            System.out.print(t[t.length / 2]);
        }
        System.out.println();
    }
}
